import { Layer, Rule } from '@master/css';
import CSSRuntime from './core';
export default class RuntimeLayer extends Layer {
    name: string;
    cssRuntime: CSSRuntime;
    readonly rules: Rule[];
    readonly tokenCounts: Map<string, number>;
    native: CSSLayerBlockRule | null;
    constructor(name: string, cssRuntime: CSSRuntime);
    attach(): void;
    insert(rule: Rule, index?: number): number | undefined;
    detach(): void;
    delete(key: string): Rule | undefined;
    reset(): void;
}
